Subject: [BEHAVE] changing XOR-RESPONSE-TARGET in draft-ietf-behave-nat-behavior-discovery-07

From: "Dan Wing" <[email-masked]>
Date: Thu, 10 Sep 2009 09:08:55 -0700

As defined in draft-ietf-behave-nat-behavior-discovery-07, the
XOR-RESPONSE-TARGET attribute is sent from the client to server and asks the
server to send the response to an alternate IP address and alternate port.
This is used to test the NAT's filtering and mapping behavior.

During IESG review, it was suggested that security of Behavior Discovery could
be improved by changing XOR-RESPONSE-TARGET so that it only sends the response
to an alternate port (and eliminate the ability to specify an alternate IP
address).

If anyone sees a need for Behavior Discovery to send a response to alternate
IP address, please speak up now.  Currently the authors are planning to adjust
the document and re-submit it so that XOR-RESPONSE-TARGET can only send the
response to an alternate port.

-d